[llvm-commits] CVS: llvm-test/autoconf/AutoRegen.sh
Reid Spencer
reid at x10sys.com
Tue Sep 7 09:17:10 PDT 2004
Changes in directory llvm-test/autoconf:
AutoRegen.sh updated: 1.2 -> 1.3
---
Log message:
Find and use the llvm/autoconf/m4 directory as a source of autoconf
function definitions.
---
Diffs of the changes: (+17 -7)
Index: llvm-test/autoconf/AutoRegen.sh
diff -u llvm-test/autoconf/AutoRegen.sh:1.2 llvm-test/autoconf/AutoRegen.sh:1.3
--- llvm-test/autoconf/AutoRegen.sh:1.2 Mon Sep 6 03:33:42 2004
+++ llvm-test/autoconf/AutoRegen.sh Tue Sep 7 11:16:59 2004
@@ -4,16 +4,26 @@
exit 1
}
test -d autoconf && test -f autoconf/configure.ac && cd autoconf
-[ -f configure.ac ] || die "Can't find 'autoconf' dir; please cd into it first"
-echo "Regenerating aclocal.m4 with aclocal"
-rm -f aclocal.m4
-cwd=`pwd`
-aclocal -I $cwd/m4 || die "aclocal failed"
+test -f configure.ac || die "Can't find 'autoconf' dir; please cd into it first"
autoconf --version | egrep '2\.5[0-9]' > /dev/null
-if test $? -ne 0
-then
+if test $? -ne 0 ; then
die "Your autoconf was not detected as being 2.5x"
fi
+cwd=`pwd`
+if test -d ../../../autoconf/m4 ; then
+ cd ../../../autoconf/m4
+ llvm_m4=`pwd`
+ cd $cwd
+elif test -d ../../llvm/autoconf/m4 ; then
+ cd ../../llvm/autoconf/m4
+ llvm_m4=`pwd`
+ cd $cwd
+else
+ die "Can't find the LLVM autoconf/m4 directory. llvm-test should be checked out to projects directory"
+fi
+echo "Regenerating aclocal.m4 with aclocal"
+rm -f aclocal.m4
+aclocal -I $cwd/m4 -I $llvm_m4 || die "aclocal failed"
echo "Regenerating configure with autoconf 2.5x"
autoconf -o ../configure configure.ac || die "autoconf failed"
cd ..
More information about the llvm-commits
mailing list